Bug 190233 - Review Request: perl-Email-MessageID - Generate world unique message-ids
Review Request: perl-Email-MessageID - Generate world unique message-ids
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 190231
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-28 18:51 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-29 13:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-28 18:51:45 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MessageID.spec

SRPM URL: 
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MessageID-1.31-1.src.rpm

Description:
Message-ids are optional, but highly recommended, headers that identify
a message uniquely. This software generates a unique message-id.
Comment 1 Jason Tibbitts 2006-04-28 20:56:39 EDT
I added perl-Email-Address to a local repo to build this.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   578b8edbc259566ab61466e780481129  Email-MessageID-1.31.tar.gz
   578b8edbc259566ab61466e780481129  Email-MessageID-1.31.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development + dependencies, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=2009,  0 wallclock secs ( 0.21 cusr +  0.03 csys =  0.24 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-04-29 13:29:36 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.